#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tets

%define		module	chardet
Summary:	Character encoding auto-detection in Python 3
Summary(pl.UTF-8):	Automatyczne wykrywanie kodowania znaków w Pythonie 3
Name:		python3-%{module}
Version:	5.2.0
Release:	3
License:	LGPL v2.1+
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/chardet/
Source0:	https://files.pythonhosted.org/packages/source/c/chardet/%{module}-%{version}.tar.gz
# Source0-md5:	cc2d8cc9a751641463b4f7cfecad2ffa
Patch0:		failtest.patch
URL:		https://pypi.org/project/chardet/
BuildRequires:	python3 >= 1:3.7
BuildRequires:	python3-build
BuildRequires:	python3-devel >= 1:3.7
BuildRequires:	python3-installer
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-hypothesis
BuildRequires:	python3-pytest
%endif
%if %{with doc}
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	sphinx-pdg-3
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.7
Conflicts:	python-chardet < 4.0.0-7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Character encoding auto-detection in Python. As smart as your browser.

%description -l pl.UTF-8
Automatyczne wykrywanie kodowania znaków w Pythonie. Tak zmyślne jak w
przeglądarce.

%package apidocs
Summary:	API documentation for Python chardet module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona chardet
Group:		Documentation

%description apidocs
API documentation for Python chardet module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona chardet.

%prep
%setup -q -n %{module}-%{version}
%patch -P 0 -p1

%build
%py3_build_pyproject

%if %{with tests}
%{__python3} -m pytest test.py
%endif

%if %{with doc}
PYTHONPATH=$(pwd) \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%attr(755,root,root) %{_bindir}/chardetect
%{py3_sitescriptdir}/chardet
%{py3_sitescriptdir}/chardet-%{version}.dist-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,api,*.html,*.js}
%endif
%changelog
* Fri Apr 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-chardet.git;a=log;h=master

* Fri Apr 11 2025 Jan Palus <atler@pld-linux.org> 079f6a3
- use %py3_*_pyproject macros

* Fri Apr 11 2025 Jan Palus <atler@pld-linux.org> 2963071
- correct runtime python modules dep

* Fri Apr 11 2025 Jan Palus <atler@pld-linux.org> 3051626
- C: python-chardet version with chardetect bin; rel 3

* Sun Mar 16 2025 Jan Rękorajski <baggins@pld-linux.org> 440fdb8
- Release 2 (by relup.sh)

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 94ce214
- updated to 5.2.0
- add failtest.patch
- spec copied from python-chardet.spec

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 7f64b58
- try to disable failing test https://github.com/chardet/chardet/issues/256

